import type { Actions } from '@web3-react/types';
import { Connector } from '@web3-react/types';
import type { WalletLink as WalletLinkInstance } from 'walletlink';
import type { WalletLinkOptions } from 'walletlink/dist/WalletLink';
export declare class WalletLink extends Connector {
    /** {@inheritdoc Connector.provider} */
    provider: ReturnType<WalletLinkInstance['makeWeb3Provider']> | undefined;
    private readonly options;
    private eagerConnection?;
    /**
     * A `walletlink` instance.
     */
    walletLink: WalletLinkInstance | undefined;
    /**
     * @param options - Options to pass to `walletlink`
     * @param connectEagerly - A flag indicating whether connection should be initiated when the class is constructed.
     */
    constructor(actions: Actions, options: WalletLinkOptions & {
        url: string;
    }, connectEagerly?: boolean);
    private connectListener;
    private disconnectListener;
    private chainChangedListener;
    private accountsChangedListener;
    private initialize;
    /** {@inheritdoc Connector.activate} */
    activate(): Promise<void>;
    /** {@inheritdoc Connector.deactivate} */
    deactivate(): void;
}
